Get a single scan event by ID
GET
/scans/{id}
const url = 'https://example.com/api/scans/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/scans/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'Returns a single scan event for status polling after triggering a scan. Supports ETag/304 for efficient polling. Non-superadmin can only see own scans.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string format: uuid
Responses
Section titled “ Responses ”Scan event
Media type application/json
object
scan
required
object
id
required
string format: uuid
project_id
required
string format: uuid
trigger_source
required
string
trigger_detail
string | null
backend_repo
string | null
lovable_repo
string | null
status
required
string
duration_ms
integer | null
error_message
string | null
summary
object | null
scanned_at
required
string format: date-time
Headers
Section titled “Headers ” ETag
string
Not Modified (ETag match)
Not authenticated
Media type application/json
object
error
required
Human-readable error message
string
code
Stable machine-readable error code for client branching
string
fieldErrors
First validation message per field path
object
key
additional properties
string
issues
Structured validation issues (Zod)
Array<object>
object
path
required
string
message
required
string
retryAfter
Seconds until rate limit resets (429 responses)
number
reconnect
True if re-linking GitHub may fix the issue
boolean
Not found
Media type application/json
object
error
required
Human-readable error message
string
code
Stable machine-readable error code for client branching
string
fieldErrors
First validation message per field path
object
key
additional properties
string
issues
Structured validation issues (Zod)
Array<object>
object
path
required
string
message
required
string
retryAfter
Seconds until rate limit resets (429 responses)
number